Bug 137608 - CAN-2004-0803 CAN-2004-0804 CAN-2004-0886 multiple issues in libtiff
Summary: CAN-2004-0803 CAN-2004-0804 CAN-2004-0886 multiple issues in libtiff
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-29 19:16 UTC by Josh Bressers
Modified: 2013-07-02 23:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-30 15:13:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2004-10-29 19:16:27 UTC
During a source code audit, Chris Evans discovered a number of integer
overflow bugs that affect libtiff.  teTeX contains an internal copy of
libtiff.  An attacker who has the ability to trick a user into opening
a malicious TIFF file could cause the application linked to libtiff to
crash or possibly execute arbitrary code. The Common Vulnerabilities
and Exposures project (cve.mitre.org) has assigned the names
CAN-2004-0886 and CAN-2004-0804 to these issues.

Additionally, a number of buffer overflow bugs that affect libtiff
have been found. teTeX contains an internal copy of libtiff.  An
attacker who has the ability to trick a user into opening a malicious
TIFF file could cause the application linked to libtiff to crash or
possibly execute arbitrary code. The Common Vulnerabilities and
Exposures project (cve.mitre.org) has assigned the name CAN-2004-0803 to
this issue.


These issues also affect FC3.

The ideal fix for these issues will be to have teTeX use the system
libtiff rather than it's internal version.

Comment 1 Jindrich Novy 2004-10-30 15:13:21 UTC
Hello Josh,

we have teTeX-2.0.2 since FC1. This version of teTeX doesn't contain
libtiff at all, so FC1 and later are not affected by this security
issue, libtiff is only present in teTeX-1.0.x, which is present in
RHEL2.1 and RHEL3.

Jindrich


Note You need to log in before you can comment on or make changes to this bug.